Bug 497657 - kpackagekit/kopete notification misrendering/missing buttons with qt-4.5.1
kpackagekit/kopete notification misrendering/missing buttons with qt-4.5.1
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: Qt451
  Show dependency treegraph
 
Reported: 2009-04-25 16:36 EDT by Rex Dieter
Modified: 2009-05-02 12:38 EDT (History)
12 users (show)

See Also:
Fixed In Version: 4.2.2-5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:33:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 190734 None None None Never

  None (edit)
Description Rex Dieter 2009-04-25 16:36:41 EDT
Using
qt-4.5.1-3.fc11.x86_64
kpackagekit-0.4.0-6.fc11.x86_64

In short, all the action buttons aren't visible and can't be activated.  I'll try to get a snapshot, next time I see it.
Comment 1 Kevin Kofler 2009-04-26 22:23:09 EDT
Any upstream bug filed? It's probably a Qt bug triggered by Plasma, not a kpackagekit issue at all.
Comment 2 Jaroslav Reznik 2009-04-27 06:01:26 EDT
Same with Kopete, so it seems it's really Qt + Plasma issue.
Comment 3 Steven M. Parrish 2009-04-27 08:15:14 EDT
I talked with upstream and it is a plasma issue.
Comment 4 Steven M. Parrish 2009-04-27 08:16:31 EDT
Upstream bug has been filed against plasma.
Comment 5 Rex Dieter 2009-04-27 08:36:09 EDT
In this particular case, I'd like to keep our bug open, and close only when known fixed (else the usefulness of our tracking bug is far less so).

Reassigning to kdelibs.
Comment 6 Rex Dieter 2009-04-28 14:50:32 EDT
confirmed patched kdebase-workspace-4.2.2-5 build mmm, mmm good (at least for kopete, I'll assume kpackagekit notifications better too).
Comment 7 Fedora Update System 2009-04-29 06:19:14 EDT
kdebase-workspace-4.2.2-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kdebase-workspace-4.2.2-5.fc9
Comment 8 Fedora Update System 2009-04-29 06:22:04 EDT
kdebase-workspace-4.2.2-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kdebase-workspace-4.2.2-5.fc10
Comment 9 Fedora Update System 2009-05-02 12:33:03 EDT
kdebase-workspace-4.2.2-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-02 12:38:26 EDT
kdebase-workspace-4.2.2-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.